Bug 741355 - GTK+ 3 menus lack borders
Summary: GTK+ 3 menus lack borders
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 863400 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 16:28 UTC by Dmytro Taranovsky
Modified: 2015-06-30 00:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:34:45 UTC


Attachments (Terms of Use)
gedit with Edit menu open in Gnome 3 fallback mode (35.12 KB, image/png)
2011-09-26 16:28 UTC, Dmytro Taranovsky
no flags Details
gedit with Edit menu open in Gnome Shell (40.34 KB, image/png)
2011-09-26 16:30 UTC, Dmytro Taranovsky
no flags Details
gnome-terminal on system with no drop shadow (41.12 KB, image/png)
2012-01-27 00:35 UTC, Stuart D Gathman
no flags Details
gnome-terminal on system with drop shadows (39.99 KB, image/png)
2012-01-27 01:44 UTC, Stuart D Gathman
no flags Details
twinkle on gnome-fallback with dropshadows (71.76 KB, image/png)
2012-01-27 01:49 UTC, Stuart D Gathman
no flags Details
hack to have borders around menus (1.42 KB, patch)
2012-04-07 14:20 UTC, Edward Sheldrake
no flags Details | Diff
popup menu without top-border (72.20 KB, image/png)
2012-10-18 06:59 UTC, Marcus Moeller
no flags Details
gnome-terminal in Fedora 19 (37.08 KB, image/png)
2013-05-15 04:47 UTC, Dmytro Taranovsky
no flags Details

Description Dmytro Taranovsky 2011-09-26 16:28:11 UTC
Created attachment 524940 [details]
gedit with Edit menu open in Gnome 3 fallback mode

In the current Fedora 16 packages, under the default (Adwaita) theme, dropdown GTK+ 3 menus lack borders (see Screenshot1.png) when running in Gnome 3 fallback mode and other environments such as KDE that are not using gnome-shell.  While borderless menus look clean, lack of border makes separating the menu contents from the surroundings more difficult and is inconsistent with how GTK+ 3 applications currently look in gnome-shell (see Screenshot2.png).  This issue was not present in Fedora 15.

Comment 1 Dmytro Taranovsky 2011-09-26 16:30:17 UTC
Created attachment 524941 [details]
gedit with Edit menu open in Gnome Shell

Comment 2 Rex Dieter 2011-09-26 16:30:56 UTC
triaged to gtk3 component.

Comment 3 Matthias Clasen 2011-10-13 19:43:17 UTC
-> gnome-themes-standard

This is unlikely to change, though.

Comment 4 Dusan Obradovic 2011-11-12 15:43:51 UTC
I guess it is left for window manager to drop shadow, mutter is doing it in gnome-shell, and i can see it in gnome-compiz, but gnome-fallback (metacity) is lacking drop shadows.

Comment 5 Stuart D Gathman 2012-01-25 04:50:00 UTC
My F16 home system has gnome-fallback (video is Intel 865 which is not supported), and dropshadows are active for both windows and menus.  My office system is also F16 with gnome-fallback (also Intel 865) and does *not* have drop shadows (which seems to be the normal experience in gnome-fallback).  Both systems were fresh F16 installs, but using separate /home from the previous F14 system.  So clearly, *something* in my homedir on my home system enables the drop shadows.  I have no idea what it is (and #fedora just ridicules me for asking).  

I tried copying the ~/.theme directory from my home system to the office system, which enables the Sandwish theme.  This does not produce drop shadows.  On both systems, I installed and tried out the Compiz + classic gnome desktop package.  

Both systems do have drop shadows under compiz + classic gnome.  (Compiz is too unstable in F16, crashing all the time - was rock solid in F14.)  However, the drop shadows went away when reverting to gnome-fallback on the office system, but they stuck around on my home system.

So, if anyone can figure out the magic config file, F16 *already* supports drop shadows on gnome-fallback!

Comment 6 Stuart D Gathman 2012-01-25 17:26:38 UTC
On my home system, I installed and tried out xfce, but did not do so on the office system.  Maybe it did something?

Comment 7 Stuart D Gathman 2012-01-27 00:35:56 UTC
Created attachment 557774 [details]
gnome-terminal on system with no drop shadow

Screen shot of gnome-terminal on the F16 system that does not have drop shadows.  I will now go home, and upload a screenshot of gnome-terminal from the F16 system the *does* have drop shadows.

Comment 8 Stuart D Gathman 2012-01-27 01:44:16 UTC
Created attachment 557777 [details]
gnome-terminal on system with drop shadows

This is the gnome-terminal screenshot from my home system, which is also running gnome-fallback, but has drop shadows!  I just noticed that not only gtk3, but qt programs (e.g. twinkle) have drop shadows on menus, even though other controls have a completely different L&F from gtk3.

Comment 9 Stuart D Gathman 2012-01-27 01:49:24 UTC
Created attachment 557778 [details]
twinkle on gnome-fallback with dropshadows

Here is a qt program which also has drop shadows.  They must be provided by the window manager.  As far as I can tell, metacity is running, so it must be the window manager.  xfwm4 is not running.

Comment 10 Stuart D Gathman 2012-01-27 02:31:24 UTC
Found that metacity can support drop shadows with its compositing manager.  My home system does have compositing_manager set to true, and the office system is set to false.  However, setting it to true at the office, and reloading metacity with "metacity --replace &" does not enable drop shadows.  Perhaps there is some other package that is also required.

Comment 11 Stuart D Gathman 2012-01-27 02:50:10 UTC
On home system, changing compositing_manager to false turns off drop shadows immediately, and changing it to true turns them on again.  Without "metacity --replace".  So I'm going to suggest that as the workaround:

gconftool-2 --type bool --set /apps/metacity/general/compositing_manager true

Comment 12 Stuart D Gathman 2012-01-27 02:52:32 UTC
I believe comment#11 should close this bug, perhaps after updating a wiki or document somewhere so people can find the solution.

Comment 13 Stuart D Gathman 2012-01-27 20:53:05 UTC
Rex, this problem is handled for me by a metacity config (comment#11).  I think this means that gtk3 shouldn't worry about it.

Comment 14 Edward Sheldrake 2012-04-07 08:58:35 UTC
Metacity config doesn't help people using Openbox or other non-compositing window managers.

Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=660271

Comment 15 Edward Sheldrake 2012-04-07 14:20:31 UTC
Created attachment 575929 [details]
hack to have borders around menus

Patch for the benefit of people who don't mind building their own packages.

Comment 16 Marcus Moeller 2012-09-19 14:25:01 UTC
With the new release of gnome-themes-standard, an updated GTK2 version has been introduced. This tries to mimic the look and feel of the GTK3 Adwaita theme, and also does not provide menu borders, in non-GNOME desktop environments.

Btw. relevant upstream BZ:

 https://bugzilla.gnome.org/show_bug.cgi?id=660271

Comment 17 Marcus Moeller 2012-10-17 06:37:40 UTC
fixed upstream.

Could we please include the commit:

http://git.gnome.org/browse/gnome-themes-standard/commit/?id=9c62ba404fa8a76d1c56cce4f066e94ccc637900

in an updated package so we can see this fixed in Fedora 18?

Comment 18 Matthias Clasen 2012-10-17 13:04:06 UTC
This should appear in the beta with gnome-themes-standard 3.6.1

Comment 19 Cosimo Cecchi 2012-10-17 13:41:57 UTC
*** Bug 863400 has been marked as a duplicate of this bug. ***

Comment 20 Mads Kiilerich 2012-10-17 13:47:29 UTC
Has anybody made a f17 / gnome-themes-standard-3.4 version of this patch?

Comment 21 Marcus Moeller 2012-10-18 06:59:24 UTC
Created attachment 629205 [details]
popup menu without top-border

I have tested the patch, and it works in general.

From design point of view I guess Cosimo has decided that it would look better if pull down menus won't have a top border (which was the case e.g. with Clearlooks).

This results in pop-up/right click context menus to not show top-borders (see screenshot). I am not sure if there is a way to distinguish between menus that are opened from a menu item and general menus (like popup menus or right-click context menus). If so, please add top borders to the latter.

If that's not possible, I would like to suggest to add top borders in general. I am going to add this note to the upstream BZ to, for reference.

Comment 22 Fedora End Of Life 2013-01-16 12:34:16 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 Marcus Moeller 2013-01-16 14:02:58 UTC
Still valid for Fedora 18

Comment 25 Dmytro Taranovsky 2013-05-15 04:47:25 UTC
Created attachment 748057 [details]
gnome-terminal in Fedora 19

In Fedora 19, a similar issue reappeared, but this time borders are absent only for greyed out menu items (see the screenshot (gnome-terminal 3.8.2)).  Should I file a new bug?

Comment 26 Fedora End Of Life 2013-12-21 08:29:15 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Fedora End Of Life 2014-02-05 11:50:19 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 28 Marcus Moeller 2014-02-05 11:54:34 UTC
Still present on Fedora 20

Comment 29 Fedora End Of Life 2015-05-29 08:40:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 Fedora End Of Life 2015-06-30 00:34:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.